<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__chan__config__register__enums" kind="group">
    <compoundname>group_sar_chan_config_register_enums</compoundname>
    <title>Channel Configuration Register Enums</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sar__chan__config__register__enums_1gaa170caf9884001307e012cac1900f4d4" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_input_mode_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1ggaa170caf9884001307e012cac1900f4d4a8a92009beb52f8085135151fa5d96954" prot="public">
          <name>CY_SAR_CHAN_SINGLE_ENDED</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Single ended channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1ggaa170caf9884001307e012cac1900f4d4a3e9268c5cac60e272be2504bb6d63c50" prot="public">
          <name>CY_SAR_CHAN_DIFFERENTIAL_PAIRED</name>
          <initializer>= SAR_CHAN_CONFIG_DIFFERENTIAL_EN_Msk</initializer>
          <briefdescription>
<para>Differential with even-odd pair limitation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1ggaa170caf9884001307e012cac1900f4d4a1380c52520885ff16d02023be2633321" prot="public">
          <name>CY_SAR_CHAN_DIFFERENTIAL_UNPAIRED</name>
          <initializer>= SAR_CHAN_CONFIG_NEG_ADDR_EN_Msk</initializer>
          <briefdescription>
<para>Differential with no even-odd pair limitation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_input_mode_t: </bold><linebreak />Configure the input mode of the channel.</para></briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Single ended channel: the <ref kindref="member" refid="group__group__sar__ctrl__register__enums_1ga714456a56b0bed98012dc37256b1145c">cy_en_sar_ctrl_neg_sel_t</ref> selection in the <ref kindref="member" refid="group__group__sar_1group_sar_init_struct_ctrl">uint32_t ctrl</ref> register determines what drives the Vminus pin</para></listitem><listitem><para>Differential paired: Vplus and Vminus are a pair. Bit 0 of <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga57ec594c27e779c87f4132145357f267">POS_PIN_ADDR</ref> is ignored and considered to be 0. In other words, <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga57ec594c27e779c87f4132145357f267">POS_PIN_ADDR</ref> points to the even pin of a pin pair. The even pin is connected to Vplus and the odd pin is connected to Vminus. <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">POS_PORT_ADDR</ref> is used to identify the port that contains the pins.</para></listitem><listitem><para>Differential unpaired: The <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga1087221febbbebdd812291b9f2f9411a">NEG_PIN_ADDR</ref> and <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">NEG_PORT_ADDR</ref> determine what drives the Vminus pin. This is a variation of differential mode with no even-odd pair limitation </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1109" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1104" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1105" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1ga57ec594c27e779c87f4132145357f267" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_pos_pin_addr_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267af6beb6730492beb56ee62d25402c2d58" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_0</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Pin 0 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267a0c85bb57124a121f86d4b81ba36da172" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_1</name>
          <initializer>= 1UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 1 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267a1e670672bd9d8055b18d434fd2151a90" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_2</name>
          <initializer>= 2UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 2 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267a937ad68dea7987b45d159664a9751194" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_3</name>
          <initializer>= 3UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 3 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267a8a2c6b4b37e2c07d8dd0ad5ea714eaae" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_4</name>
          <initializer>= 4UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 4 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267af364a67d48565c1e9389401fc4ed4b7a" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_5</name>
          <initializer>= 5UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 5 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267ac99607d73f779efa120a7576ea0d40b9" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_6</name>
          <initializer>= 6UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 6 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga57ec594c27e779c87f4132145357f267a51c6b1308be0596399c1dfe2e482fab3" prot="public">
          <name>CY_SAR_CHAN_POS_PIN_ADDR_7</name>
          <initializer>= 7UL &lt;&lt; SAR_CHAN_CONFIG_POS_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 7 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8">cy_en_sar_chan_config_pos_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_pos_pin_addr_t: </bold><linebreak />Configure address of the pin connected to the Vplus terminal of the SARADC.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1122" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1112" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1113" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1ga75e8d54e8aae0f42256cb47aaf7996d8" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_pos_port_addr_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8a166f050c530bd3c2b7bf9a9882d9bf27" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_SARMUX</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Dedicated SARMUX port with 8 possible pins. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8a80a4cd64680ba9fee93846ea020b6a41" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_CTB0</name>
          <initializer>= 1UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB0, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8ab42483d530911a58d30f7c3b8df46e93" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_CTB1</name>
          <initializer>= 2UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB1, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8ab7d17b401544a2d276347f6a484436e1" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_CTB2</name>
          <initializer>= 3UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB2, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8a0adc8b64633147efd60b8af0b47a7ab4" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_CTB3</name>
          <initializer>= 4UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB3, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8ad64deefff40b55b445932d7f58bc40dd" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_AROUTE_VIRT2</name>
          <initializer>= 5UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>AROUTE virtual port (VPORT2), if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8ad07ed8d81aebc378cb3c9204c38fd6b8" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_AROUTE_VIRT1</name>
          <initializer>= 6UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>AROUTE virtual port (VPORT1), if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8a2467c1287339e68e44929b1e7f337fa5" prot="public">
          <name>CY_SAR_POS_PORT_ADDR_SARMUX_VIRT</name>
          <initializer>= 7UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>SARMUX virtual port for DieTemp and AMUXBUSA/B. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_pos_port_addr_t: </bold><linebreak />Configure address of the port that contains the pin connected to the Vplus terminal of the SARADC.</para></briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__sar__chan__config__register__enums_1gga75e8d54e8aae0f42256cb47aaf7996d8a166f050c530bd3c2b7bf9a9882d9bf27">CY_SAR_POS_PORT_ADDR_SARMUX</ref> is for the dedicated SARMUX port (8 pins)</para></listitem><listitem><para>Port 1 through 4 are respectively the pins of CTB0, CTB1, CTB2, and CTB3 (if present)</para></listitem><listitem><para>Port 7, 5, and 6 (VPORT0/1/2) are the groups of internal signals that can be selected in the SARMUX or AROUTE (if present).</para></listitem></itemizedlist>
</para><para>See the <ref kindref="member" refid="group__group__sar_1group_sar_sarmux">SARMUX and SARSEQ</ref> section for more guidance. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1143" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1133" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1134" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1gadab9893c1ba4c1a567d75909c3433128" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_avg_en_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1ggadab9893c1ba4c1a567d75909c3433128aa1a5fa3ed726af3cef609789aa81243d" prot="public">
          <name>CY_SAR_CHAN_AVG_DISABLE</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Disable averaging for the channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1ggadab9893c1ba4c1a567d75909c3433128a4815888ab649926b072bb094db25bd9b" prot="public">
          <name>CY_SAR_CHAN_AVG_ENABLE</name>
          <initializer>= 1UL &lt;&lt; SAR_CHAN_CONFIG_AVG_EN_Pos</initializer>
          <briefdescription>
<para>Enable averaging for the channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_avg_en_t: </bold><linebreak />Enable or disable averaging for the channel.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1150" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1146" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1147" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1ga4536867f2568fc3a2724bf39a83ddf8e" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_sample_time_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga4536867f2568fc3a2724bf39a83ddf8ea1ace9729d3883123155b9ed4929c6449" prot="public">
          <name>CY_SAR_CHAN_SAMPLE_TIME_0</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Use sample time 0 for the channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga4536867f2568fc3a2724bf39a83ddf8eac34520b5cbde930ac8df2b4b83f6e3bf" prot="public">
          <name>CY_SAR_CHAN_SAMPLE_TIME_1</name>
          <initializer>= 1UL &lt;&lt; SAR_CHAN_CONFIG_SAMPLE_TIME_SEL_Pos</initializer>
          <briefdescription>
<para>Use sample time 1 for the channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga4536867f2568fc3a2724bf39a83ddf8ea6ba36393a9fb1e1bae0bde2e425d06b6" prot="public">
          <name>CY_SAR_CHAN_SAMPLE_TIME_2</name>
          <initializer>= 2UL &lt;&lt; SAR_CHAN_CONFIG_SAMPLE_TIME_SEL_Pos</initializer>
          <briefdescription>
<para>Use sample time 2 for the channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga4536867f2568fc3a2724bf39a83ddf8eacbff124f9aa793dfe2a5d4cb8105e421" prot="public">
          <name>CY_SAR_CHAN_SAMPLE_TIME_3</name>
          <initializer>= 3UL &lt;&lt; SAR_CHAN_CONFIG_SAMPLE_TIME_SEL_Pos</initializer>
          <briefdescription>
<para>Use sample time 3 for the channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_sample_time_t: </bold><linebreak />Select which sample time to use for the channel.</para></briefdescription>
        <detaileddescription>
<para>There are four global samples times available set by <ref kindref="member" refid="group__group__sar_1group_sar_init_struct_sampleTime01">uint32_t sampleTime01</ref> and <ref kindref="member" refid="group__group__sar_1group_sar_init_struct_sampleTime23">uint32_t sampleTime23</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1162" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1156" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1157" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1ga1087221febbbebdd812291b9f2f9411a" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_neg_pin_addr_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aaccd58bf1519b9f3272d47de8816e9870" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_0</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Pin 0 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aa171257334507052870a927c111dd303c" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_1</name>
          <initializer>= 1UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 1 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aa00c716582f9e30bb3ca904cde7f34d59" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_2</name>
          <initializer>= 2UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 2 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aa67312dbe95ad6e4c5cdb8d4b51889d45" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_3</name>
          <initializer>= 3UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 3 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aa89bf375933cde6204c2f609807f44eb1" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_4</name>
          <initializer>= 4UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 4 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aacf15055790253fd270624541a277dedb" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_5</name>
          <initializer>= 5UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 5 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aa1fb12f63180c27396f760de650e6b5d2" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_6</name>
          <initializer>= 6UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 6 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga1087221febbbebdd812291b9f2f9411aae9f56300d442f7c19be95c46ea10d40d" prot="public">
          <name>CY_SAR_CHAN_NEG_PIN_ADDR_7</name>
          <initializer>= 7UL &lt;&lt; SAR_CHAN_CONFIG_NEG_PIN_ADDR_Pos</initializer>
          <briefdescription>
<para>Pin 7 on port specified in <ref kindref="member" refid="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d">cy_en_sar_chan_config_neg_port_addr_t</ref>. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_neg_pin_addr_t: </bold><linebreak />Configure address of the pin connected to the Vminus terminal of the SARADC.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1175" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1165" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1166" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1ga8c0c98079440ebcd5ac9c04b170e574d" kind="enum" prot="public" static="no">
        <name>cy_en_sar_chan_config_neg_port_addr_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga8c0c98079440ebcd5ac9c04b170e574dac3d634156229ca8f65ab3c3186d93641" prot="public">
          <name>CY_SAR_NEG_PORT_ADDR_SARMUX</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Dedicated SARMUX port with 8 possible pins. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga8c0c98079440ebcd5ac9c04b170e574dad26e0bdacc51a200b8928e63c30299dd" prot="public">
          <name>CY_SAR_NEG_PORT_ADDR_AROUTE_VIRT2</name>
          <initializer>= 5UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>AROUTE virtual port (VPORT2), if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga8c0c98079440ebcd5ac9c04b170e574da891b8ba4d1ba923a4924c8a6ab3dffa0" prot="public">
          <name>CY_SAR_NEG_PORT_ADDR_AROUTE_VIRT1</name>
          <initializer>= 6UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>AROUTE virtual port (VPORT1), if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga8c0c98079440ebcd5ac9c04b170e574dabb99895c8ebd4464c68e88c47f07867d" prot="public">
          <name>CY_SAR_NEG_PORT_ADDR_SARMUX_VIRT</name>
          <initializer>= 7UL &lt;&lt; SAR_CHAN_CONFIG_POS_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>SARMUX virtual port for AMUXBUSA/B. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_chan_config_neg_port_addr_t: </bold><linebreak />Configure address of the port that contains the pin connected to the Vminus terminal of the SARADC.</para></briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Port 0 is 8 pins of the SARMUX</para></listitem><listitem><para>Port 7, 5, and 6 (VPORT0/1/2) are the groups of internal signals that can be selected in the SARMUX or AROUTE (if present). </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1189" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1183" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1184" />
      </memberdef>
      <memberdef id="group__group__sar__chan__config__register__enums_1ga5a41526776002a6de51ecfef6337f485" kind="enum" prot="public" static="no">
        <name>cy_en_sar_inj_chan_config_port_addr_t</name>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a8ae74b87da6f80144f659dac26c73f33" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_SARMUX</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Dedicated SARMUX port with 8 possible pins. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a83ab7dc76605f38fddd17d7b99cc5c24" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_CTB0</name>
          <initializer>= 1UL &lt;&lt; SAR_INJ_CHAN_CONFIG_INJ_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB0, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a15f84cccac36ff86e2f3c3af4af5ced8" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_CTB1</name>
          <initializer>= 2UL &lt;&lt; SAR_INJ_CHAN_CONFIG_INJ_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB1, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a6c56782ff0f96e2f546548b436efe9b7" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_CTB2</name>
          <initializer>= 3UL &lt;&lt; SAR_INJ_CHAN_CONFIG_INJ_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB2, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a2ed5d5ba0579bb6cf1e3179c7853755d" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_CTB3</name>
          <initializer>= 4UL &lt;&lt; SAR_INJ_CHAN_CONFIG_INJ_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>Outputs from CTB3, if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a3ad9b95d795c6e23e4258527a8554ce4" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_AROUTE_VIRT</name>
          <initializer>= 6UL &lt;&lt; SAR_INJ_CHAN_CONFIG_INJ_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>AROUTE virtual port (VPORT), if present. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a594083d489c45ea69068ca350bb148e5" prot="public">
          <name>CY_SAR_INJ_PORT_ADDR_SARMUX_VIRT</name>
          <initializer>= 7UL &lt;&lt; SAR_INJ_CHAN_CONFIG_INJ_PORT_ADDR_Pos</initializer>
          <briefdescription>
<para>SARMUX virtual port for DieTemp and AMUXBUSA/B. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_inj_chan_config_port_addr_t: </bold><linebreak />Configure address of the port that contains the pin connected to the Vplus terminal of the injection channel.</para></briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para><ref kindref="member" refid="group__group__sar__chan__config__register__enums_1gga5a41526776002a6de51ecfef6337f485a8ae74b87da6f80144f659dac26c73f33">CY_SAR_INJ_PORT_ADDR_SARMUX</ref> is for the dedicated SARMUX port (8 pins)</para></listitem><listitem><para>Ports 1 through 4 are respectively the pins of CTB0, CTB1, CTB2, and CTB3 (if present)</para></listitem><listitem><para>Ports 7 and 6 are the groups of internal signals that can be selected in the SARMUX or AROUTE (if present).</para></listitem></itemizedlist>
</para><para>See the <ref kindref="member" refid="group__group__sar_1group_sar_sarmux">SARMUX and SARSEQ</ref> section for more guidance. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1210" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1201" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1202" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This set of enumerations aids in configuring the SAR CHAN_CONFIG register. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>